#!/bin/sh
# *******************************************************************************
#  Materiale su licenza - Proprietà di IBM
#  (c) Copyright IBM Corporation 2006, 2011. Tutti i diritti riservati.
#
#  Nota relativa a limitazioni dei diritti per gli utenti del Governo degli Stati Uniti:
#  L'uso, la duplicazione o la divulgazione sono limitati dal GSA ADP Schedule
#  Contract con IBM Corp.
#  *******************************************************************************
# NLS_MESSAGEFORMAT_NONE
# NLS_ENCODING=UTF-8


# #############################################################
# #
# # Definire le variabili d'ambiente corrispondenti ai
# # parametri di script jts_upgrade.sh e ai relativi valori predefiniti
# #
# #===========================================================
# #
# # Questo file viene letto all'inizio dell'esecuzione dello script
# # jts_upgrade.sh. Esso imposta una variabile di ambiente
# # per parametro valido con valore predefinito.
# #
# # Gli utenti possono modificare il valore predefinito per
# # avviare lo script jts_upgrade.sh con i propri valori
# # senza dover immettere il parametro e il corrispondente
# # valore manualmente sulla riga comandi.
# #
# # AVVERTENZA:
# # Non tutte le variabili devono essere impostate in base
# # all'applicazione correntemente aggiornata.  Leggere attentamente ogni commento
# # prima di modificare il valore.
# #
# #############################################################

# Parametro: -oldJTSHome
# Uso: -oldJTSHome <percorso dir>
# Descrizione:
# 	Il percorso completo della directory home JTS nell'installazione 3.0.x.
# Valore predefinito:
# 	<nessun valore>
# Nota:
#     se specificato, significa che verrà eseguito un aggiornamento da 3.0 a 3.0.1
#     sia per RTC che per JTS. In caso contrario, qualsiasi sia il tipo di aggiornamento
#     rilevato, ne sarà interessato solo RTC...
# Limitazioni:
#  - <percorso dir> deve essere una directory esistente che termina con 'server/conf'
#  - Valido solo per aggiornamenti RM e JTS
#
OLD_JTS_HOME=

# Parametro: -jtsContextRoot
# Uso: -jtsContextRoot <root>
# Descrizione:
# 	La root di contesto JTS
# Valore predefinito:
# 	jts
# Limitazioni:
#  - <root> deve essere una singola directory valida (senza barra iniziale)
#
JTS_CONTEXT_ROOT=jts

# Parametro: -oldJTSVersion
# Utilizzo: -oldJTSVersion <versione>
# Descrizione:
# 	la versione 3.x in fase di aggiornamento. Per impostazione predefinita, essa viene determinata
# eseguendo repotools -version sul precedente JTS.
# Impostazione predefinita:
# 	<nessun valore>
# Vincoli:
#  - deve essere una stringa di versione completa
#    ad esempio, 3.0.0 o 3.0.1
#
OLD_JTS_VERSION=

# Parametro: -updateTomcatFiles
# Uso: -updateTomcatFiles <yes | no>
# Descrizione:
# 	Indica se aggiornare i file di configurazione Tomcat.
# Valore predefinito:
# 	yes
# Limitazioni:
#  - Gli unici valori validi sono 'yes' e 'no'
#
UPDATE_TOMCAT_FILES=yes

# Parametro: -oldTomcatHome
# Uso: -oldTomcatHome <percorso dir>
# Descrizione:
# 	Il percorso completo della directory root Tomcat nell'installazione 3.0.x.
# Valore predefinito:
# 	<nessun valore>
# Limitazioni:
#  - Deve essere una directory esistente
#
OLD_TOMCAT_HOME=

# Parametro: -newJTSHome
# Uso: -newJTSHome <percorso dir>
# Descrizione:
# 	Percorso della directory di configurazione del server JTS dell'installazione 3.0.1.2.
# Valore predefinito:
# 	conf
# Limitazioni:
#  - <percorso dir> deve essere una directory esistente che termina con 'server/conf'
#
NEW_JTS_HOME="$START_DIR/conf"

# Parametro: -newTomcatHome
# Uso: -newTomcatHome <percorso dir>
# Descrizione:
# 	Percorso della directory home Tomcat dell'installazione 3.0.1.2.
# Valore predefinito:
# 	<nessun valore>
#
NEW_TOMCAT_HOME=

# Parametro: -noPrompt
# Uso: -noPrompt
# Descrizione:
# 	Non richiede prima di creare o modificare le tabelle
# Valore predefinito:
# 	<nessun valore>
# Limitazioni:
#  - Gli unici valori validi sono un valore vuoto o 'noPrompt'
#
# NO_PROMPT=noPrompt
NO_PROMPT=

# Parametro: -noVerify
# Uso: -noVerify
# Descrizione:
# 	Non esegue la verifica dei file teamserver.properties.
# Valore predefinito:
# 	<nessun valore>
# Limitazioni:
#  - Gli unici valori validi sono un valore vuoto o 'noVerify'
#
# NO_VERIFY=noVerify
NO_VERIFY=

# Parametro: -overwrite
# Uso: -overwrite
# Descrizione:
# 	Indica se sovrascrivere un file esistente.
# Valore predefinito:
# 	no
# Limitazioni:
#  - Gli unici valori validi sono il valore vuoto o 'overwrite=yes'
#
# OVERWRITE=overwrite=yes
OVERWRITE=

# Parametro: -noStepPrompt
# Uso: -noStepPrompt
# Descrizione:
# 	Non richiede prima di eseguire un passo.
# Valore predefinito:
# 	false
# Limitazioni:
#  - Gli unici valori validi sono 'true' o 'false'
#
# NO_STEP_PROMPT=true
NO_STEP_PROMPT=false
