@echo off
rem *******************************************************************************
rem  Licensed Materials - Property of IBM
rem  (c) Copyright IBM Corporation 2011. All Rights Reserved.
rem  
rem  Note to U.S. Government Users Restricted Rights:  
rem  Use, duplication or disclosure restricted by GSA ADP Schedule 
rem  Contract with IBM Corp. 
rem  *******************************************************************************

rem ################################################################################
rem
rem Fichier pour les messages affichs par les scripts automatiss de mise  niveau.
rem
rem ################################################################################

setlocal
set TAB=     
if "%1" == "" goto :LBLEND
if "%1" == "HELP" goto :LBLHELP
goto LBLMSG_%1


REM *************************************
REM * Messages de vrification initiale *
REM *************************************

:LBLMSG_INVALID_LAUNCH
set TAB=    
echo.
echo N'excutez pas le script app_upgrade directement.  Pour mettre  niveau le serveur JTS ou l'application, excutez l'une des commandes suivantes :
echo %TAB%ccm_upgrade
echo %TAB%jts_upgrade
echo %TAB%qm_upgrade
echo %TAB%rm_upgrade
echo Entrez -help pour afficher la description complte des commandes ci-dessus.
echo.
goto LBLEND

:LBLMSG_INVALID_START_DIR
set TAB=    
echo.
echo Sauf si vous utilisez le paramtre -help, vous ne pouvez pas excuter le script %2  partir d'un rpertoire autre que %3
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAME
echo.
echo Le fichier %2 contient les valeurs de paramtre pour le script de mise  niveau. 
echo Pour modifier ces valeurs de paramtre par dfaut, ditez ces fichiers ou spcifiez les valeurs de paramtre sous forme d'arguments de ligne de commande pour les scripts de mise  niveau. 
echo.
goto LBLEND

:LBLMSG_SHOW_PARAM_FILE_NAMES_LIST
echo.
echo L'ensemble de fichiers ci-dessous contient les valeurs de paramtre par dfaut pour la mise  niveau d'une application ou d'un serveur JTS. Pour modifier ces valeurs de paramtre par dfaut, ditez ces fichiers ou spcifiez les valeurs de paramtre sous forme d'arguments de ligne de commande pour les scripts de mise  niveau. 
echo %TAB%- Mise  niveau CCM :  %2params\ccm_params%3.bat
echo %TAB%- Mise  niveau QM :  %2params\qm_params%3.bat
echo %TAB%- Mise  niveau RM :  %2params\rm_params%3.bat
echo %TAB%- Mise  niveau JTS :  %2params\jts_params%3.bat
echo.
goto LBLEND


REM *******************************************
REM * Messages de vrification des paramtres *
REM *******************************************

REM Vrification intrinsque
rem ========================

:LBLMSG_MISSING_APP_TYPE
echo.
echo Aucun type de serveur JTS ou d'application n'a t spcifi.  Pour mettre  niveau le serveur JTS ou l'application, excutez l'une des commandes suivantes :
echo     ccm_upgrade
echo     jts_upgrade
echo     qm_upgrade
echo     rm_upgrade
echo Entrez -help pour afficher la description complte des commandes ci-dessus.
echo.
goto LBLEND

:LBLMSG_INVALID_APP_TYPE
echo.
echo %2 n'est pas un type de serveur JTS ou d'application valide.  Pour mettre  niveau le serveur JTS ou l'application, excutez l'une des commandes suivantes :
echo     ccm_upgrade
echo     jts_upgrade
echo     qm_upgrade
echo     rm_upgrade
echo Entrez -help pour afficher la description complte des commandes ci-dessus.
echo.
goto LBLEND

:LBLMSG_MISSING_PARAM_VALUE
echo.
echo Valeur manquante pour le paramtre %2.
echo Entrez -help pour afficher la description complte des paramtres.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_DIR
echo.
echo Le rpertoire %3 spcifi pour le paramtre %2 n'existe pas ou n'est pas valide.
echo Entrez -help pour afficher la description complte des paramtres.
echo.
goto LBLEND

:LBLMSG_RELATIVE_PARAM_DIR
echo.
echo Le rpertoire %3 spcifi pour le paramtre %2 doit tre un chemin d'accs absolu.
echo Entrez -help pour afficher la description complte des paramtres.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_FILE
echo.
echo Le fichier %3 spcifi pour le paramtre %2 n'existe pas ou n'est pas valide.
echo Entrez -help pour afficher la description complte des paramtres.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM_VALUE
echo.
echo %3 est une valeur non valide pour le paramtre %2.
echo Entrez -help pour afficher la description complte des paramtres.
echo.
goto LBLEND

:LBLMSG_INVALID_PARAM
echo.
echo %2 est un paramtre inconnu.
echo Entrez -help pour afficher la description complte des paramtres.
echo.
goto LBLEND


REM Vrification extrinsque
rem ========================

:LBLMSG_MISSING_HOME_PARAM
echo.
echo Paramtre de rpertoire principal %2 manquant.
echo Entrez -help pour afficher la description complte des paramtres.
echo.
goto LBLEND

:LBLMSG_DIR_NOT_FOUND
echo.
echo Le rpertoire %2 n'existe pas ou n'est pas valide.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_2X_APP
echo.
echo Impossible de trouver la commande repotools de l'application '%2'.
echo.
echo Vrifiez que le paramtre -oldApplicationHome '%3' dsigne l'ancien rpertoire de configuration du serveur, par exemple 'RacineInstallationJazz/server/conf'.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_APP
echo.
echo Impossible de trouver la commande repotools de l'application '%2'.
echo.
echo Vrifiez que le paramtre -oldApplicationHome '%3' dsigne l'ancien rpertoire de configuration du serveur, par exemple 'RacineInstallationJazz/server/conf', et que le paramtre jtsContextRoot '%4' est correct.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_2X_APP
echo.
echo Fichier de configuration '%2' introuvable.
echo.
echo Vrifiez que le paramtre -oldApplicationHome '%3' dsigne l'ancien rpertoire de configuration du serveur, par exemple 'RacineInstallationJazz/server/conf'.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_APP
echo.
echo Fichier de configuration '%2' introuvable.
echo.
echo Vrifiez que le paramtre -oldApplicationHome '%3' dsigne l'ancien rpertoire de configuration du serveur, par exemple 'RacineInstallationJazz/server/conf', et que le paramtre jtsContextRoot '%4' est correct.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_APP
echo.
echo Impossible de trouver la commande repotools de l'application '%2'.  
echo.
echo Vrifiez que le paramtre -newApplicationHome '%3' dsigne le nouveau rpertoire de configuration du serveur d'applications, par exemple 'RacineInstallationJazz/server/conf', et que le paramtre jtsContextRoot '%4' est correct.
echo Si vous procdez  une mise  niveau depuis une dition prcdente, vrifiez que vous avez slectionn les racines de contexte appropries. Par exemple, si vous utilisez Installation Manager, vous devez slectionner l'option de racine de contexte %5 dans le panneau "Options de racine de contexte". Si vous avez slectionn une autre option par inadvertance, vous devez rinstaller le produit avec l'option de racine de contexte %5.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_APP
echo.
echo Fichier de configuration '%2' introuvable.
echo.
echo Vrifiez que le paramtre -newApplicationHome '%3' dsigne le nouveau rpertoire de configuration du serveur JTS, par exemple 'RacineInstallationJazz/server/conf', et que le paramtre jtsContextRoot '%4' est correct.
echo Si vous procdez  une mise  niveau depuis une dition prcdente, vrifiez que vous avez slectionn les racines de contexte appropries. Par exemple, si vous utilisez Installation Manager, vous devez slectionner l'option de racine de contexte %5 dans le panneau "Options de racine de contexte". Si vous avez slectionn une autre option par inadvertance, vous devez rinstaller le produit avec l'option de racine de contexte %5.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_OLD_JTS
echo.
echo Impossible de trouver la commande repotools JTS '%2'.
echo.
echo Vrifiez que le paramtre -oldJTSHome '%3' dsigne l'ancien rpertoire de configuration du serveur JTS, par exemple 'RacineInstallationJazz/server/conf', et que le paramtre jtsContextRoot '%4' est correct.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_OLD_JTS
echo.
echo Fichier de configuration '%2' introuvable.
echo.
echo Vrifiez que le paramtre -oldJTSHome '%3' dsigne l'ancien rpertoire de configuration du serveur JTS, par exemple 'RacineInstallationJazz/server/conf', et que le paramtre jtsContextRoot '%4' est correct.
echo.
goto LBLEND

:LBLMSG_CMD_NOT_FOUND_NEW_JTS
echo.
echo Impossible de trouver la commande repotools JTS '%2'.
echo.
echo Vrifiez que le paramtre -newJTSHome '%3' dsigne le nouveau rpertoire de configuration du serveur JTS, par exemple 'RacineInstallationJazz/server/conf', et que le paramtre jtsContextRoot '%4' est correct.
echo.
goto LBLEND

:LBLMSG_TSP_NOT_FOUND_NEW_JTS
echo.
echo Fichier de configuration '%2' introuvable.
echo.
echo Vrifiez que le paramtre -newJTSHome '%3' dsigne le nouveau rpertoire de configuration du serveur JTS, par exemple 'RacineInstallationJazz/server/conf', et que le paramtre jtsContextRoot '%4' est correct.
echo.
goto LBLEND

:LBLMSG_MISSING_IMPORT_FROM_FILE
echo.
echo Un fichier tar contenant les donnes 2.x est requis pour une mise  niveau de %2.
echo Entrez -help pour afficher la description complte des paramtres.
echo.
goto LBLEND


REM ************************
REM * Messages d'excution *
REM ************************

:LBLMSG_BANNER_jts
echo.
echo.
echo ================================================
echo === Mise  niveau de JTS de %2 vers 3.0.1.2 ===
echo ================================================
echo.
goto LBLEND

:LBLMSG_BANNER_ccm
echo.
echo.
echo =================================================
echo === Mise  niveau de CCM de %2 vers 3.0.1.2  ===
echo =================================================
echo.
goto LBLEND

:LBLMSG_BANNER_qm
echo.
echo.
echo ================================================
echo === Mise  niveau de QM de %2 vers 3.0.1.2  ===
echo ================================================
echo.
goto LBLEND

:LBLMSG_BANNER_rm
echo.
echo.
echo ================================================
echo === Mise  niveau de RM de %2 vers 3.0.1.2  ===
echo ================================================
echo.
goto LBLEND


REM *******************************
REM * Passage  la premire tape *
REM *******************************

:LBLMSG_INITIAL_STEP_FAILED
echo.
echo La dernire excution a chou  l'tape initiale...
goto LBLEND

:LBLMSG_LAST_STEP_FAILED
echo.
echo La dernire excution a chou  l'tape %2...
echo Voulez-vous redmarrer la mise  niveau  partir de cette tape ou d'une tape prcdente ? 
goto LBLEND

:LBLMSG_ALREADY_RUN
echo.
echo La mise  niveau a dj t effectue et a abouti...
echo Voulez-vous en redmarrer une nouvelle  partir d'une tape spcifique ? 
goto LBLEND

:LBLMSG_LAST_STEP_PASSED
echo.
echo La dernire excution a t arrte  l'tape %...
echo Voulez-vous redmarrer la mise  niveau  partir de l'tape %3 ou d'une tape prcdente ? 
goto LBLEND

:LBLMSG_ENTER_NEXT_STEP
echo.
echo Entrez le numro de l'tape [%2-%3]  partir de laquelle redmarrer la mise  niveau ou appuyez sur [Entre] pour annuler : 
goto LBLEND

:LBLMSG_INTEGER_STEP_NUMBER
echo.
echo '%2' n'est pas un nombre. Entrez un numro d'tape valide.
goto LBLEND

:LBLMSG_INVALID_STEP_NUMBER
echo.
echo '%2' n'est pas un numro d'tape valide. Entrez un numro d'tape valide.
goto LBLEND

:LBLMSG_MAX_STEP_NUMBER
echo.
echo La dernire tape est l'tape %2 ; par consquent, vous ne pouvez pas redmarrer la mise  niveau  l'tape %3.
goto LBLEND

:LBLMSG_NUM_MAX_STEP_NUMBER
echo.
echo L'tape %2 n'a pas encore t excute ; par consquent, vous ne pouvez pas redmarrer la mise  niveau  l'tape %3.
goto LBLEND


REM ****************************
REM * Messages pour les tapes *
REM ****************************

:LBLMSG_STEP_0
echo Etape 0 : Mise  jour des fichiers de configuration
echo ---------------------------------------------------
goto LBLEND

:LBLMSG_STEP_1_ADD
echo Etape 1 : Ajout de tables
echo -------------------------
goto LBLEND

:LBLMSG_STEP_1_IMPORT
echo Etape 1 : Importation des donnes %2
echo ----------------------------------------------
goto LBLEND

:LBLMSG_STEP_2_EXPORT_USER_INFO
echo Etape 2 : Exportation des informations utilisateur  partir de la base de donnes de l'application
echo --------------------------------------------------------------------------------------------------
goto LBLEND

:LBLMSG_STEP_2_COPY_TEXT_INDICES
echo Etape 2 : Copiez les index de texte
echo -----------------------------------
goto LBLEND

:LBLMSG_STEP_2_UPGRADE_DATA_WAREHOUSE
echo Etape 2 : Mettez  niveau le schma d'entrept de donnes
echo ---------------------------------------------------------
goto LBLEND

:LBLMSG_STEP_3_IMPORT_USER_INFO
echo Etape 3 : Importation des informations utilisateur dans la base de donnes JTS
echo ------------------------------------------------------------------------------
goto LBLEND

:LBLMSG_STEP_3_UPGRADE_DATA_WAREHOUSE
echo Etape 3 : Mettez  niveau le schma d'entrept de donnes
echo ---------------------------------------------------------
goto LBLEND

:LBLMSG_STEP_4
echo Etape 4 : Importation des informations utilisateur JTS dans la base de donnes de l'application
echo -----------------------------------------------------------------------------------------------
goto LBLEND

:LBLMSG_STEP_5
echo Etape %2 : Rgnration des index de texte
echo -----------------------------------------
goto LBLEND

:LBLMSG_STEP_6
echo Etape %2 : Recration des index de requte et de recherche
echo ---------------------------------------------------------
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_FAILED
echo.
echo La mise  niveau de %2 a chou  l'tape %3. Corrigez le problme et excutez  nouveau le script  partir de l'tape %3.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_JTS
echo.
echo La mise  niveau de %2 a abouti. Dmarrez le serveur et utilisez l'assistant de configuration JTS pour valider la configuration JTS.  Vous devrez galement mettre  niveau les applications de votre environnement maintenant.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_RM
echo.
echo La partie hors ligne de la partie de la mise  niveau de %2 a abouti. Dmarrez le serveur et naviguez jusqu' l'assistant de migration de %2 pour complter la migration en ligne.
echo.
goto LBLEND

:LBLMSG_OVERALL_MIGRATION_SUCCESS_CCM_QM
echo.
echo La mise  niveau de %2 a abouti. Dmarrez les serveurs dans votre dploiement. Si le serveur JTS n'a pas t configur, utilisez l'assistant appropri pour configurer le serveur JTS et enregistrer l'application. Sinon, enregistrez l'application sur la page d'administration du serveur JTS.
echo.
goto LBLEND

REM ********************************************
REM * Messages lors de l'excution d'une tape *
REM ********************************************

:LBLMSG_STEP_DIR_CMD
echo.
echo Rpertoire : %2
echo Commande :
goto LBLEND

:LBLMSG_ENTER_STEP_ACTION
echo Entrez [E] pour excuter cette tape, [S] pour l'ignorer ou appuyez sur [Entre] pour annuler l'excution du script : 
goto LBLEND

:LBLMSG_INVALID_STEP_ACTION
echo.
echo '%2' n'est pas une entre valide ; 'E', 'S' et 'Entre' seulement sont admis.
echo.
goto LBLEND

:LBLMSG_EDIT_TEAMSERVER_PROPERTIES
echo.
echo Un diteur bloc-notes va s'ouvrir pour que vous puissiez vrifier le fichier teamserver.properties %2.
echo Vrifiez que la racine d'URI public indique par la proprit com.ibm.team.repository.server.webapp.url est correcte.
echo Vrifiez que les proprits de la base de donnes sont correctes.
echo Lorsque vous avez termin, sauvegardez vos modifications, le cas chant, puis fermez l'diteur afin de continuer l'excution du script.
echo.
echo Consultez la rubrique 'Mise  niveau de Jazz Team Server et des applications CLM' du centre de documentation
echo pour plus d'informations sur la faon de configurer correctement chacune des proprits  l'adresse suivante :
echo http://publib.boulder.ibm.com/infocenter/clmhelp/v3r0m1/topic/com.ibm.jazz.install.doc/topics/t_update_prepare_config.html
goto LBLEND

:LBLMSG_PAUSE
echo.
echo Entrez [C] pour continuer l'excution ou appuyez sur [Entre] pour annuler l'excution du script :
goto LBLEND

:LBLMSG_INVALID_PAUSE_ACTION
echo.
echo '%2' n'est pas une entre valide ; 'C' et 'Entre' seulement sont admis.
echo.
goto LBLEND

:LBLMSG_COPY_INDICES_FAILED
echo.
echo Echec de la copie des index de texte de '%2' vers '%3'.
echo Vrifiez la proprit com.ibm.team.fulltext.indexLocation dfinie
echo dans le fichier teamserver.properties.
echo Copiez manuellement les index de texte dans ce rpertoire
echo ou excutez la commande repotools -rebuildTextIndices pour les rgnrer.
echo.
goto LBLEND

REM *************************************************
REM * Messages pour la vrification des URI publics *
REM *************************************************

:LBLMSG_MISSING_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERREUR !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Aucun URI public n'est dfini dans
echo %3 ;
echo par consquent la mise  niveau ne peut pas tre dmarre.
echo.
echo Ce fichier doit comporter un URI public dfini comme suit :
echo https\://hostname.example.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo La proprit d'URI public com.ibm.team.repository.server.webapp.url doit tre indique dans le fichier teamserver.properties.
echo Ajoutez la proprit au fichier 2.x teamserver.properties file et dfinissez sa valeur sur l'URI racine que tous les clients utilisent pour accder au serveur.
echo La racine d'URI public est indispensable au bon fonctionnement de votre serveur 3.0.1.x. Sans cette proprit, la mise  niveau ne pourra pas aboutir.  
echo Pour plus d'informations, consultez la rubrique 'Planification de vos URI'  l'adresse suivante :
echo http://publib.boulder.ibm.com/infocenter/clmhelp/v3r0m1/topic/com.ibm.jazz.install.doc/topics/c_planning_URLs.html
echo.
goto LBLEND

:LBLMSG_COMMENTED_PUBLIC_URI
echo.
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!! ERREUR !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo Tous les URI publics dfinis dans
echo %3 ;
echo sont mis en commentaire ; par consquent la mise  niveau ne peut pas tre dmarre.
echo.
echo Ce fichier doit comporter un URI public non comment dfini comme suit :
echo https\://hostname.example.com\:port/%2
echo.
echo !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
echo.
echo La proprit d'URI public com.ibm.team.repository.server.webapp.url doit tre indique dans le fichier teamserver.properties.
echo Ajoutez la proprit au fichier 2.x teamserver.properties file et dfinissez sa valeur sur l'URI racine que tous les clients utilisent pour accder au serveur.
echo La racine d'URI public est indispensable au bon fonctionnement de votre serveur 3.0.1.x. Sans cette proprit, la mise  niveau ne pourra pas aboutir.
echo Pour plus d'informations, consultez la rubrique 'Planification de vos URI'  l'adresse suivante :
echo http://publib.boulder.ibm.com/infocenter/clmhelp/v3r0m1/topic/com.ibm.jazz.install.doc/topics/c_planning_URLs.html
echo.
goto LBLEND


:LBLEND
endlocal
