@echo off
rem *******************************************************************************
rem  Materiais Licenciados - Propriedade da IBM
rem  (c) Copyright IBM Corporation 2006, 2011. Todos os Direitos Reservados.
rem
rem  Nota sobre Direitos Restritos para Usurios do Governo dos Estados Unidos:
rem  Uso, duplicao ou divulgao restritos pelo documento GSA ADP Schedule
rem  Contract com a IBM Corp.
rem  *******************************************************************************


REM #############################################################
REM #
REM # Defina as variveis de ambiente correspondentes aos
REM # parmetros de script ccm_upgrade.bat e seus valores padro
REM #
REM #===========================================================
REM #
REM # Este arquivo  lido no incio da execuo do script
REM # ccm_upgrade.bat. Ele configura uma varivel de ambiente
REM # por parmetro vlido com um valor padro predefinido.
REM #
REM # Os usurios podem desejar modificar o valor padro para
REM # ativar o script ccm_upgrade.bat com seus prprios valores
REM # sem precisar inserir o parmetro e seus
REM # valores correspondentes manualmente na linha de comandos
REM #
REM # AVISO:
REM # Nem todas as variveis precisam ser configuradas para todo
REM # aplicativo.  Leia cada comentrio cuidadosamente antes de modificar
REM # o valor.
REM #
REM #############################################################

rem Parmetro: -oldApplicationHome
rem Uso: -oldApplicationHome <dir path>
rem Descrio:
rem 	Caminho completo para o diretrio inicial do aplicativo na instalao 2.x ou 3.0.x.
rem Padro:
rem 	<none>
rem Restries:
rem  - este  um parmetro obrigatrio
rem  - <dir path> deve ser um diretrio existente finalizado com 'server\conf'
rem    por exemplo, D:\Jazz\IBM\RTC_2.x\jazz\server\conf
rem
set OLD_APPLICATION_HOME=

rem Parmetro: -applicationContextRoot
rem Uso: -applicationContextRoot<root>
rem Descrio:
rem 	Raiz do contexto de aplicativos do servidor 2.x ou 3.0.x.
rem Padro:
rem 	jazz (2.x), ccm (3.0.1)
rem Restries:
rem  - <root> deve ser um nico nome de diretrio vlido (isto , sem barra  esquerda)
rem
set APPLICATION_CONTEXT_ROOT=

rem Parmetro: -oldApplicationVersion
rem Uso: -oldApplicationVersion <version>
rem Descrio:
rem 	A verso 3.x que est sendo atualizada.  Por padro, isso  determinado
rem 	ao executar repotools -version com relao ao aplicativo antigo.
rem Padro:
rem 	<none>
rem Restries:
rem  - no deve ser especificado se fizer upgrade a partir de uma verso 2.x
rem  - deve ser uma sequncia de verso completa, por exemplo,
rem    3.0.0 ou 3.0.1
rem
set OLD_APPLICATION_VERSION=

rem Parmetro: -updateTomcatFiles
rem Uso: -updateTomcatFiles <yes | no>
rem Descrio:
rem 	Se os arquivos de configurao tomcat devem ser atualizados.
rem Padro:
rem 	yes
rem Restries:
rem  - Os nicos valores vlidos so 'yes' e 'no'
rem
set UPDATE_TOMCAT_FILES=yes

rem Parmetro: -oldTomcatHome
rem Uso: -oldTomcatHome <dir path>
rem Descrio:
rem 	Caminho completo para o diretrio-raiz Tomcat na instalao 2.x ou 3.0.x.
rem Padro:
rem 	<none>
rem Restries:
rem  - Deve ser um diretrio existente
rem
set OLD_TOMCAT_HOME=

rem Parmetro: -newApplicationHome
rem Uso: -newApplicationHome <dir path>
rem Descrio:
rem 	Caminho para o diretrio inicial do Aplicativo na instalao do 3.0.1.2.
rem Padro:
rem 	conf
rem Restries:
rem  - Somente aceito para upgrade do RTC, QM e RM
rem  - Quando aceito, este  um parmetro obrigatrio
rem  - <dir path> deve ser um diretrio existente terminado em 'server\conf'
rem    ex.: D:\Jazz\IBM\RTC_3.0\JazzTeamServer\server\conf
rem
set NEW_APPLICATION_HOME="%START_DIR%\conf"

rem Parmetro: -newJTSHome
rem Uso: -newJTSHome <dir path>
rem Descrio:
rem 	Caminho para o diretrio de configurao do servidor JTS da instalao 3.0.1.2
rem Padro:
rem 	O novo diretrio inicial do aplicativo
rem Restries:
rem  - <dir path> deve ser um diretrio existente terminado em 'server\conf'
rem
set NEW_JTS_HOME=

rem Parmetro: -jtsContextRoot
rem Uso: -jtsContextRoot <root>
rem Descrio:
rem 	Raiz de contexto do servidor JTS 3.0.1.2.
rem Padro:
rem 	jts
rem Restries:
rem  - <root> deve ser um nome nico de diretrio vlido (isto , nenhuma barra  esquerda)
rem
set JTS_CONTEXT_ROOT=jts

rem Parmetro: -newApplicationTomcatHome
rem Uso: -newApplicationTomcatHome <dir path>
rem Descrio:
rem 	Caminho para o diretrio-raiz Tomcat do Aplicativo na instalao 3.0.1.2.
rem Padro:
rem 	<none>
rem
set NEW_TOMCAT_HOME=

rem Parmetro: -newJTSTomcatHome
rem Uso: -newJTSTomcatHome <dir path>
rem Descrio:
rem 	Caminho para o diretrio-raiz JTS Tomcat na instalao 3.0.1.2.
rem Padro:
rem 	<none>
rem
set NEW_JTS_TOMCAT_HOME=

rem Parmetro: -noPrompt
rem Uso: -noPrompt
rem Descrio:
rem 	No avisar antes de criar ou modificar as tabelas
rem Padro:
rem 	<none>
rem Restries:
rem  - Os nicos valores vlidos so vazio ou 'noPrompt'
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Parmetro: -noVerify
rem Uso: -noVerify
rem Descrio:
rem  No execute a verificao de arquivos teamserver.properties.
rem Padro:
rem 	<none>
rem Restries:
rem  - Os nicos valores vlidos so vazio ou 'noVerify'
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Parmetro: -overwrite
rem Uso: -overwrite
rem Descrio:
rem 	Se deve-se sobrescrever qualquer arquivo existente.
rem Padro:
rem 	no
rem Restries:
rem  - Os nicos valores vlidos so vazio ou 'overwrite=yes'
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem Parmetro: -importFromFile
rem Uso: -importFromFile <file path>
rem Descrio:
rem 	Dados de importao do arquivo tar exportado da 2.x ou 3.0.x.
rem Padro:
rem 	<none>
rem Restries:
rem  - O caminho deve apontar para um arquivo existente e vlido
rem
set IMPORT_FROM_FILE=

rem Parmetro: -noStepPrompt
rem Uso: -noStepPrompt
rem Descrio:
rem 	No avisar antes de executar uma etapa.
rem Padro:
rem 	false
rem Restries:
rem  - Os nicos valores vlidos so 'true' e 'false'
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false
