@echo off
rem *******************************************************************************
rem  Materiales bajo licencia - Propiedad de IBM
rem  (c) Copyright IBM Corporation 2006, 2011. Reservados todos los derechos.
rem  
rem  Note to U.S. Government Users Restricted Rights:
rem  Use, duplication or disclosure restricted by GSA ADP Schedule
rem  Contract with IBM Corp.
rem  *******************************************************************************


REM #############################################################
REM #
REM # Defina las variables de entorno correspondientes a los
REM # parmetros del script jts_upgrade.bat y sus valores
REM # predeterminados.
REM #===========================================================
REM #
REM # Este archivo se lee al comienzo de la ejecucin del
REM # script jts_upgrade.bat. Define una variable de entorno por
REM # cada parmetro vlido con un valor predeterminado
REM #
REM # Es posible que los usuarios deseen modificar el valor predeterminado
REM # para lanzar el script jts_upgrade.bat con sus propios valores
REM # sin tener que especificar de forma manual el parmetro y su
REM # valor correspondiente en la lnea de mandatos.
REM #
REM # AVISO:
REM # No es necesario definir todas las variables para cada
REM # aplicacin. Lea cada comentario detenidamente antes de modificar
REM # el valor.
REM #
REM #############################################################

rem Parmetro: -oldJTSHome
rem Uso: -oldJTSHome <va_acceso_dir>
rem Descripcin:
rem 	Va de acceso completa al directorio de inicio JTS de la instalacin 3.0.x.
rem Valor predeterminado:
rem 	<ninguno>
rem Nota:
rem     Si se especifica, indica que se producir una actualizacin de 3.0 a 3.0.1
rem     para RTC y JTS. En caso contrario, sea cual sea la actualizacin que se
rem     detecte, solo afectar a RTC...
rem Restricciones:
rem  - <va_acceso_dir> debe ser un directorio existente que termine en 'server\conf'
rem  - Solo vlido para actualizaciones de RM y JTS
rem
set OLD_JTS_HOME=

rem Parmetro: -jtsContextRoot
rem Uso: -jtsContextRoot <raz>
rem Descripcin:
rem 	Raz de contexto JTS
rem Valor predeterminado:
rem 	jts
rem Restricciones:
rem  - <raz> debe ser un nombre nico de directorio vlido (es decir, ninguna barra inclinada inicial)
rem
set JTS_CONTEXT_ROOT=jts

rem Parmetro: -oldJTSVersion
rem Utilizacin: -oldJTSVersion <versin>
rem Descripcin:
rem 	La versin 3.x que se est actualizando. De forma predeterminada,
rem 	esto se determina ejecutando repotools -version contra el JTS antiguo.
rem Valor predeterminado:
rem 	<ninguno>
rem Restricciones:
rem  - debe ser una serie de versin completa
rem    p. ej. 3.0.0 o 3.0.1
rem
set OLD_JTS_VERSION=

rem Parmetro: -updateTomcatFiles
rem Uso: -updateTomcatFiles <yes | no>
rem Descripcin:
rem 	Si deben actualizarse los archivos de configuracin tomcat.
rem Valor predeterminado:
rem 	yes
rem Restricciones:
rem  - Los nicos valores vlidos son 'yes' y 'no'
rem
set UPDATE_TOMCAT_FILES=yes

rem Parmetro: -oldTomcatHome
rem Uso: -oldTomcatHome <va_acceso_dir>
rem Descripcin:
rem 	Va de acceso completa al directorio raz Tomcat de la instalacin 3.0.x.
rem Valor predeterminado:
rem 	<ninguno>
rem Restricciones:
rem  - Debe ser un directorio existente
rem
set OLD_TOMCAT_HOME=

rem Parmetro: -newJTSHome
rem Uso: -newJTSHome <va_acceso_dir>
rem Descripcin:
rem 	Va de acceso al directorio de configuracin del servidor JTS de la instalacin 3.0.1.2.
rem Valor predeterminado:
rem 	conf
rem Restricciones:
rem  - <va_acceso_dir> debe ser un directorio existente que termine en 'server\conf'
rem
set NEW_JTS_HOME="%START_DIR%\conf"

rem Parmetro: -newTomcatHome
rem Uso: -newTomcatHome <va_acceso_dir>
rem Descripcin:
rem 	Va de acceso al directorio de inicio Tomcat de la instalacin 3.0.1.2.
rem Valor predeterminado:
rem 	<ninguno>
rem
set NEW_TOMCAT_HOME=

rem Parmetro: -noPrompt
rem Uso: -noPrompt
rem Descripcin:
rem 	No mostrar solicitud antes de crear o modificar las tablas
rem Valor predeterminado:
rem 	<ninguno>
rem Restricciones:
rem  - Los nicos valores vlidos son en blanco o 'noPrompt'
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Parmetro: -noVerify
rem Uso: -noVerify
rem Descripcin:
rem 	No realizar verificacin de los archivos teamserver.properties.
rem Valor predeterminado:
rem 	<ninguno>
rem Restricciones:
rem  - Los nicos valores vlidos son en blanco o 'noVerify'
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Parmetro: -overwrite
rem Uso: -overwrite
rem Descripcin:
rem 	Si debe sobrescribirse algn archivo existente.
rem Valor predeterminado:
rem 	no
rem Restricciones:
rem  - Los nicos valores vlidos son en blanco u 'overwrite=yes'
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem Parmetro: -noStepPrompt
rem Uso: -noStepPrompt
rem Descripcin:
rem 	No mostrar solicitud antes de ejecutar un paso.
rem Valor predeterminado:
rem 	false
rem Restricciones:
rem  - Los nicos valores vlidos son 'true' o 'false'
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false
