@echo off
rem *******************************************************************************
rem  Licensed Materials - Property of IBM
rem  (c) Copyright IBM Corporation 2006, 2011. All Rights Reserved.
rem  
rem  Note to U.S. Government Users Restricted Rights:  
rem  Use, duplication or disclosure restricted by GSA ADP Schedule 
rem  Contract with IBM Corp. 
rem  *******************************************************************************


REM #############################################################
REM #
REM # Dfinissez les variables d'environnement correspondant
REM # aux paramtres de script rm_upgrade.bat ainsi que leurs
REM # valeurs par dfaut
REM #
REM #===========================================================
REM #
REM # Ce fichier est lu au dbut de l'excution du script
REM # rm_upgrade.bat. Il associe une variable d'environnement
REM # par paramtre valide  une valeur par dfaut prdfinie.
REM #
REM # Les utilisateurs peuvent modifier la valeur par dfaut
REM # pour lancer le script rm_upgrade.bat avec leurs propres
REM # valeurs sans avoir  entrer manuellement le paramtre et
REM # sa valeur correspondante sur la ligne de commande.
REM #
REM # AVERTISSEMENT :
REM # Les variables ne doivent pas toutes tre dfinies, selon
REM # l'application mise  niveau.  Lisez attentivement chaque 
REM # commentaire avant de modifier la valeur.
REM #
REM #############################################################

rem Paramtre : -oldApplicationHome
rem Syntaxe : -oldApplicationHome <chemin rpertoire>
rem Description :
rem 	Chemin d'accs complet au rpertoire principal de l'application dans l'installation 2.x ou 3.0.x.
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes :
rem  - Il s'agit d'un paramtre obligatoire.
rem  - <chemin rpertoire> doit correspondre  un rpertoire existant qui se termine par 'server\conf'.
rem    Exemple : D:\Jazz\IBM\RRC_2.x\jazz\server\conf
rem
set OLD_APPLICATION_HOME=

rem Paramtre : -applicationContextRoot
rem Syntaxe : -applicationContextRoot <racine>
rem Description :
rem 	Racine de contexte d'application du serveur 2.x ou 3.0.x.
rem Valeur par dfaut :
rem 	rdm (2.x), rm (3.0.1)
rem Contraintes :
rem  - <racine> doit correspondre  un nom unique de rpertoire valide (sans barre oblique au dbut).
rem
set APPLICATION_CONTEXT_ROOT=

rem Paramtre : -oldJTSHome
rem Syntaxe : -oldJTSHome <chemin rpertoire>
rem Description :
rem 	Chemin d'accs complet au rpertoire principal du serveur JTS dans l'installation 2.x ou 3.0.x.
rem Valeur par dfaut :
rem 	<aucune>
rem Remarque :
rem     S'il est spcifi, cela signifie qu'une mise  niveau de la version 3.0 vers la
rem     version 3.0.1 va avoir lieu pour RTC et JTS. Sinon, seul RTC est concern, quel
rem     que soit le type de mise  niveau dtect...
rem Contraintes :
rem  - <chemin rpertoire> doit correspondre  un rpertoire existant qui se termine par 'server\conf'.
rem  - Valide uniquemement pour les mises  niveau de RM et de JTS.
rem
set OLD_JTS_HOME=

rem Paramtre : -oldJTSContextRoot
rem Syntaxe : -oldJTSContextRoot <racine>
rem Description :
rem 	Racine de contexte JTS du serveur 2.x ou 3.0.x
rem Valeur par dfaut :
rem 	jazz
rem Contraintes :
rem  - Admis uniquement pour la mise  niveau de RM.
rem  - <racine> doit correspondre  un nom unique de rpertoire valide (sans barre oblique au dbut).
rem
set OLD_JTS_CONTEXT_ROOT=jazz

rem Paramtre : -updateTomcatFiles
rem Syntaxe : -updateTomcatFiles <yes | no>
rem Description :
rem 	Indique si les fichiers de configuration Tomcat doivent tre mis  jour.
rem Valeur par dfaut :
rem 	yes
rem Contraintes :
rem  - Les seules valeurs admises sont 'yes' et 'no'.
rem
set UPDATE_TOMCAT_FILES=yes

rem Paramtre : -oldApplicationTomcatHome
rem Syntaxe : -oldApplicationTomcatHome <chemin rpertoire>
rem Description :
rem 	Chemin d'accs complet au rpertoire principal Tomcat de l'application dans l'installation 2.x ou 3.0.x.
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes :
rem  - Admis uniquement pour la mise  niveau de RM.
rem  - Doit correspondre  un rpertoire existant
rem
set OLD_TOMCAT_HOME=

rem Paramtre : -oldJTSTomcatHome
rem Syntaxe : -oldJTSTomcatHome <chemin rpertoire>
rem Description :
rem 	Chemin d'accs complet au rpertoire principal Tomcat du serveur JTS dans l'installation 2.x ou 3.0.x.
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes :
rem  - Admis uniquement pour la mise  niveau de RM.
rem  - Doit correspondre  un rpertoire existant
rem
set OLD_JTS_TOMCAT_HOME=

rem Paramtre : -newApplicationHome
rem Syntaxe : -newApplicationHome <chemin rpertoire>
rem Description :
rem  	Chemin d'accs au rpertoire principal de l'application dans l'installation 3.0.1.2.
rem Valeur par dfaut :
rem 	conf
rem Contraintes :
rem  - Admis uniquement pour la mise  niveau de RTC, QM et RM.
rem  - Lorsqu'il est admis, il s'agit d'un paramtre obligatoire.
rem  - <chemin rpertoire> doit correspondre  un rpertoire existant qui se termine par 'server\conf'.
rem    Exemple : D:\Jazz\IBM\RRC_3.0\JazzTeamServer\server\conf
rem
set NEW_APPLICATION_HOME="%START_DIR%\conf"

rem Paramtre : -newJTSHome
rem Syntaxe : -newJTSHome <chemin rpertoire>
rem Description :
rem 	Chemin d'accs complet au rpertoire principal du serveur JTS dans l'application 3.0.1.2.
rem Valeur par dfaut :
rem 	Le rpertoire principal de la nouvelle application
rem Contraintes :
rem  - <chemin rpertoire> doit correspondre  un rpertoire existant qui se termine par 'server\conf'.
rem
set NEW_JTS_HOME=

rem Paramtre : -newJTSContextRoot
rem Syntaxe : -newJTSContextRoot <racine>
rem Description :
rem 	Racine de contexte du serveur JTS 3.0.1.2.
rem Valeur par dfaut :
rem 	jts
rem Contraintes :
rem  - <racine> doit correspondre  un nom unique de rpertoire valide (sans barre oblique au dbut).
rem
set JTS_CONTEXT_ROOT=jts

rem Paramtre : -newApplicationTomcatHome
rem Syntaxe : -newApplicationTomcatHome <chemin rpertoire>
rem Description :
rem 	Chemin d'accs au rpertoire principal Tomcat de l'application dans l'installation 3.0.1.2.
rem Valeur par dfaut :
rem 	<aucune>
rem
set NEW_TOMCAT_HOME=

rem Paramtre : -newJTSTomcatHome
rem Syntaxe : -newJTSTomcatHome <chemin rpertoire>
rem Description :
rem 	Chemin d'accs au rpertoire principal Tomcat du serveur JTS dans l'installation 3.0.1.2.
rem Valeur par dfaut :
rem 	<aucune>
rem
set NEW_JTS_TOMCAT_HOME=

rem Paramtre : -noPrompt
rem Syntaxe : -noPrompt
rem Description :
rem 	Ne pas demander confirmation (toujours utiliser noPrompt) lors de l'excution des commandes repotools.
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes :
rem - Les seules valeurs admises sont la valeur vide et 'noPrompt'.
rem
rem set NO_PROMPT=noPrompt
set NO_PROMPT=

rem Paramtre : -overwrite
rem Syntaxe : -overwrite
rem Description :
rem 	Forcer le remplacement (toujours utiliser overwrite=yes) lors de l'excution des commandes repotools.
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes :
rem - Les seules valeurs admises sont la valeur vide et 'overwrite=yes'.
rem
rem set OVERWRITE=overwrite=yes
set OVERWRITE=

rem Paramtre : -noVerify
rem Syntaxe : -noVerify
rem Description :
rem 	Ne pas effectuer de vrification (toujours utiliser noVerify) lors de l'excution des commandes repotools.
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes :
rem - Les seules valeurs admises sont la valeur vide et 'noVerify'.
rem
rem set NO_VERIFY=noVerify
set NO_VERIFY=

rem Paramtre : -importFromFile
rem Syntaxe : -importFromFile <chemin fichier>
rem Description :
rem 	Importer le contenu d'un fichier tar dans les tables de base de donnes.
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes :
rem  - Le chemin doit dsigner un fichier valide qui existe.
rem
set IMPORT_FROM_FILE=

rem Paramtre : -noStepPrompt
rem Syntaxe : -noStepPrompt
rem Description :
rem 	Ne pas demander confirmation avant chaque tape de mise  niveau.
rem Valeur par dfaut :
rem 	false
rem Contraintes :
rem  - Les seules valeurs admises sont 'true' et 'false'.
rem
rem set NO_STEP_PROMPT=true
set NO_STEP_PROMPT=false

rem Paramtre : -jtsURL
rem Syntaxe : -jtsURL <URI public JTS>
rem Description :
rem 	URI public du serveur JTS
rem Valeur par dfaut :
rem 	<aucune>
rem Contraintes :
rem  - Accept uniquement pour la mise  niveau de RM
rem  - Requis uniquement dans un dploiement distribu o le serveur JTS est en cours d'excution sur une autre instance de serveur que l'application RM
rem
set JTS_PUBLIC_URL=
